%define oname clutter-gtk
%define version 1.0.0
%define git 0
%define rel 1
%if ! %git
%define release %mkrel %rel
%else
%define release %mkrel -c %git %rel
%endif

%define api 1.0
%define major 0
%define libname %mklibname %oname %api %major
%define libnamedevel %mklibname -d %oname %api

Summary:       GTK+3 Support for Clutter
Name:          %{oname}3
Version:       %{version}
Release:       %{release}
%if %git
Source0:       %{oname}-%{git}.tar.bz2
%else
Source0:       http://www.clutter-project.org/sources/clutter-gtk/%api/%{oname}-%{version}.tar.bz2
%endif
License:       LGPLv2+
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel >= 1.6.0
BuildRequires: gtk+3-devel >= 2.91.7
BuildRequires: gtk-doc
BuildRequires: docbook-dtd412-xml
BuildRequires: gobject-introspection-devel >= 0.6.14

%description
A library providing facilities to integrate Clutter into GTK+ 3
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

%package -n %libname
Summary:       GTK+3 Support for Clutter
Group:         Graphics
Obsoletes:	%{_lib}clutter-gtk31.0_0 < 0.91.8-2

%description -n %libname
A library providing facilities to integrate Clutter into GTK+ 3
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.


%package -n %libnamedevel
Summary:       Development headers/libraries for %name
Group:         Development/X11
Provides:      %name-devel = %version-%release
Requires:      %libname = %version-%release
Obsoletes:	%{_lib}clutter-gtk31.0-devel < 0.91.8-2

%description -n %libnamedevel
Development headers/libraries for %name (see %libname package)

#----------------------------------------------------------------------------

%prep

%if %git
%setup -q -n %oname
./autogen.sh -V
%else
%setup -q -n %oname-%version
%endif
%apply_patches

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %buildroot

%makeinstall_std

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%{oname}-%{api}.so.%{major}*
%_libdir/girepository-1.0/GtkClutter-%api.typelib

%files -n %libnamedevel
%_libdir/pkgconfig/%{oname}-%{api}.pc
%_libdir/lib%{oname}-%{api}.la
%_libdir/lib%{oname}-%{api}.so
%_includedir/clutter-gtk-%{api}/
%_datadir/gir-1.0/GtkClutter-%api.gir
%dir %_datadir/gtk-doc/html/%oname-%api 
%doc %_datadir/gtk-doc/html/%oname-%api/*


%changelog
* Tue Apr 05 2011 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 650647
- new version
- update file list

* Thu Mar 24 2011 Funda Wang <fwang@mandriva.org> 0.91.8-2
+ Revision: 648225
- correct lib name
- new version 0.91.8

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.90.2-2mdv2011.0
+ Revision: 578974
- fix build with current gtk+

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.90.2-1mdv2011.0
+ Revision: 568142
- copy for gtk+3 branch

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2011.0
+ Revision: 563764
- rebuild for new clutter

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 526343
- new version
- drop merged patches

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-7mdv2010.1
+ Revision: 518428
- fix patch 1 (thanks to Keruspe)

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-6mdv2010.1
+ Revision: 518418
- fix build with new gtk

* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-5mdv2010.1
+ Revision: 504647
- rebuild for new clutter

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-4mdv2010.0
+ Revision: 417561
- fix introspection patch

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-3mdv2010.0
+ Revision: 417246
- fix for new gobject-introspection
- update build deps for doc generation

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdv2010.0
+ Revision: 415263
- move typelib to library package

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2010.0
+ Revision: 404519
- new version
- new API
- bump clutter dep

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 388740
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.9.1-0.20090616.1mdv2010.0
+ Revision: 386363
- fix version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.9.0-0.20090616.1mdv2010.0
+ Revision: 386359
- update build deps
- new snapshot
- enable introspection

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.9.0-0.20090511.1mdv2010.0
+ Revision: 374529
- git snapshot
- new api
- bump deps

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 343558
- new version
- fix source URL
- update license
- use the right configure macro

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2009.1
+ Revision: 302648
- rebuilt against new libxcb

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2009.1
+ Revision: 302234
- rebuilt against new libxcb

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-1mdv2009.1
+ Revision: 301073
- 0.8.2

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.1-1mdv2009.0
+ Revision: 284373
- New version: 0.8.1

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 243539
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 173782
- Improve description

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173178
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 136322
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 60532
- New version: 0.4.0
- Import clutter-gtk

